V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
推荐学习书目
Learn Python the Hard Way
Python Sites
PyPI - Python Package Index
http://diveintopython.org/toc/index.html
Pocoo
值得关注的项目
PyPy
Celery
Jinja2
Read the Docs
gevent
pyenv
virtualenv
Stackless Python
Beautiful Soup
结巴中文分词
Green Unicorn
Sentry
Shovel
Pyflakes
pytest
Python 编程
pep8 Checker
Styles
PEP 8
Google Python Style Guide
Code Style from The Hitchhiker's Guide
skyworker
V2EX  ›  Python

说个笑话,关于 python

  •  
  •   skyworker · 2016-12-16 11:33:55 +08:00 · 8302 次点击
    这是一个创建于 2234 天前的主题,其中的信息可能已经有所发展或是发生改变。
    A : 你不是 Python 的死忠吗,为啥现在用 ROR 了?
    B :因为我更是 Centos6 的死忠
    第 1 条附言  ·  2016-12-17 11:32:28 +08:00
    嗯嗯, 我为我的智商捉鸡, 但是更为其他人的情商捉鸡
    58 条回复    2016-12-18 13:41:55 +08:00
    xiuc001
        1
    xiuc001  
       2016-12-16 11:43:02 +08:00 via iPhone
    一点都不好笑有木有
    TIGERB
        2
    TIGERB  
       2016-12-16 11:47:21 +08:00
    笑到我肚子疼~
    mozartgho
        3
    mozartgho  
       2016-12-16 12:12:03 +08:00
    centos 和 rails 有什么关系吗,没 get 到笑点
    flowerains
        4
    flowerains  
       2016-12-16 12:20:55 +08:00
    因为 Centos6 是 python 2.7
    7 版本是 3?
    wyntergreg
        5
    wyntergreg  
       2016-12-16 12:26:04 +08:00
    @flowerains 谁告诉你 7 是 3
    hosiet
        6
    hosiet  
       2016-12-16 12:37:00 +08:00 via Android
    @flowerains 而且 CentOS 6 是 2.6 , 2.7 都没有,妥妥的 Py 信仰破坏平台
    lennyh
        7
    lennyh  
       2016-12-16 12:57:25 +08:00
    epel
    linboki
        8
    linboki  
       2016-12-16 13:05:26 +08:00 via Android   ❤️ 1
    完全可以手动编译 python 版本解决,再不济用 docker 跑 python 容器
    skyworker
        9
    skyworker  
    OP
       2016-12-16 13:23:38 +08:00
    @linboki 笑话而已, why so serious?
    pc10201
        10
    pc10201  
       2016-12-16 13:31:14 +08:00
    用 pyenv 或 docker 直接隔离 python 版本~
    linboki
        11
    linboki  
       2016-12-16 13:31:46 +08:00 via Android
    @skyworker 因为不好笑,泼泼冷水,以刺激提高讲笑话的水平😒
    echo1937
        12
    echo1937  
       2016-12-16 13:43:57 +08:00
    不好笑,差不多一多半的语言的运行环境都需要另装。

    CentOS 6.8 的 Ruby 版本也不过 1.87 ,怕是不合很多人的需要。
    skyworker
        13
    skyworker  
    OP
       2016-12-16 13:44:23 +08:00
    @linboki 呵呵 你以为说笑话的人就不会 你说的这些吗?

    攻城狮真是无聊啊,说个笑话,就会理解为“你是笨蛋”
    skyworker
        14
    skyworker  
    OP
       2016-12-16 13:50:35 +08:00
    @echo1937 ruby 版本可以随便升; python 版本随便升的话, yum 就彻底完蛋了
    kindjeff
        15
    kindjeff  
       2016-12-16 13:55:02 +08:00
    就是不好笑嘛,生什么气。
    hareandlion
        16
    hareandlion  
       2016-12-16 14:04:05 +08:00 via iPhone
    指定版本又不是重写系统内核,所以不好笑的段子干嘛要笑,更别说直接贴标签戴帽子了
    privil
        17
    privil  
       2016-12-16 14:17:10 +08:00
    同意上面的意见,真的不好笑
    lrh3321
        18
    lrh3321  
       2016-12-16 14:18:23 +08:00
    真的不好笑 +1
    lxguidu
        19
    lxguidu  
       2016-12-16 14:20:39 +08:00
    不好笑+1
    Wangxf
        20
    Wangxf  
       2016-12-16 14:23:57 +08:00
    python 分裂症“选择 2 还是 3 ?”
    jeffersonpig
        21
    jeffersonpig  
       2016-12-16 14:26:23 +08:00
    自己说笑话水平低还怪别人笑不出来了
    skyworker
        22
    skyworker  
    OP
       2016-12-16 14:34:25 +08:00
    @Wangxf "选择 2"之后, 还要选择"选择<= 2.6" 还是 "选择 2.7"
    kimchan
        23
    kimchan  
       2016-12-16 14:43:38 +08:00
    其实真的不好笑. lz 别较真了....
    ty89
        24
    ty89  
       2016-12-16 14:54:04 +08:00
    写了 5 年多 python 的表示现在在用 ROR
    hjc4869
        25
    hjc4869  
       2016-12-16 15:01:06 +08:00
    @wyntergreg 自带 2.7 ,可以 yum 安装 python3 ,是 3.4 。
    situs
        26
    situs  
       2016-12-16 15:19:11 +08:00
    pyenv
    knthony
        27
    knthony  
       2016-12-16 15:50:22 +08:00
    哪里好笑?
    firebroo
        28
    firebroo  
       2016-12-16 16:16:20 +08:00 via Android
    不好笑。。
    ansheng
        29
    ansheng  
       2016-12-16 16:18:01 +08:00
    ROR 是什么?
    dtfm
        30
    dtfm  
       2016-12-16 16:20:35 +08:00 via Android
    @ansheng 疑似 Ruby on Rails 不过我也没 Get 到笑点
    est
        31
    est  
       2016-12-16 16:22:02 +08:00
    你装 RoR 不需要安装新版本 ruby ?

    python 就一定得用系统自带的就不能安装新版本的?
    ansheng
        32
    ansheng  
       2016-12-16 16:22:31 +08:00
    @dtfm 完全不懂,哎呦
    WhyAreYouSoSad
        33
    WhyAreYouSoSad  
       2016-12-16 16:38:49 +08:00   ❤️ 1
    楼上因为不好笑发生了口角,这才是最好笑的
    Wangxf
        34
    Wangxf  
       2016-12-16 16:54:53 +08:00
    程序员好较真我发现。。。不好笑路过一句“呵呵”就行了嘛。。。非要这么认真纠正。。
    ty89
        35
    ty89  
       2016-12-16 17:10:41 +08:00
    @Wangxf 所以找不到女朋友啊
    xrlin
        36
    xrlin  
       2016-12-16 17:16:24 +08:00 via iPhone
    @ansheng 卧轨自杀的宝石
    wyntergreg
        37
    wyntergreg  
       2016-12-16 17:39:17 +08:00
    @hjc4869 yum 就是 python 写的,你可以试试装上,然后使用。各种惊喜
    FifiLyu
        38
    FifiLyu  
       2016-12-16 17:51:44 +08:00
    @flowerains
    CentOS7 是 2.7.5
    Delbert
        39
    Delbert  
       2016-12-16 19:14:20 +08:00 via Android
    @skyworker shabang 改一下,手动升级 python , yum 也正常用,没问题啊。
    chohoor
        40
    chohoor  
       2016-12-16 19:16:22 +08:00 via Android   ❤️ 1
    @wyntergreg 装了,然而并不影响
    freestyle
        41
    freestyle  
       2016-12-16 19:49:16 +08:00
    pyenv 解决 根本不用动系统的 Python 版本
    Warder
        42
    Warder  
       2016-12-16 20:43:23 +08:00
    好冷的笑话
    Delbert
        43
    Delbert  
       2016-12-16 20:52:13 +08:00 via Android
    @wyntergreg 表示装了之后 yum 正常啊
    rhen
        44
    rhen  
       2016-12-16 22:02:35 +08:00 via Android
    装了 epel 里的 py3 。。
    HuangLibo
        45
    HuangLibo  
       2016-12-16 22:11:51 +08:00
    这也是笑话么
    doubleflower
        46
    doubleflower  
       2016-12-16 22:12:23 +08:00
    python 不是可以自已编译安装的吗?想装什么版本就装什么版本?想在一个系统上装多少个版本就装多少个版本,怎么会限制在系统上的版本啊?这笑话太冷了。

    (当然注意不能改系统的 python 版本,会导致系统不稳定)

    比如在 debian 上装 python 到 /opt/python3.4:

    # enable src repo from /etc/apt/sources.list

    sudo apt-get build-dep python3
    sudo apt-get install libncurses5-dev libncursesw5-dev libreadline6-dev
    sudo apt-get install libdb5.1-dev libgdbm-dev libsqlite3-dev libssl-dev
    sudo apt-get install libbz2-dev libexpat1-dev liblzma-dev zlib1g-dev

    ver=3.4.3
    wget https://www.python.org/ftp/python/$ver/Python-$ver.tar.xz
    tar xJf Python-$ver.tar.xz
    cd Python-$ver
    ./configure --prefix=/opt/python3.4
    make
    sudo make altinstall


    > /opt/python3.4/bin/python3.4 -V
    Python 3.4.3
    dongxiaozhuo
        47
    dongxiaozhuo  
       2016-12-16 22:30:52 +08:00 via iPhone
    pyenv 。
    mytsing520
        48
    mytsing520  
       2016-12-17 00:30:44 +08:00
    引爆一轮骂战才是最好笑的
    ooh
        49
    ooh  
       2016-12-17 00:47:36 +08:00
    我来个更冷的,当年我写人生第一个 Hello World

    #!/usr/bin/env python
    # -*- coding: utf-8 -*-

    print 'Hello World!'

    上面这段代码当时我调试了 2 天....最后还是我表哥来我家玩给我解决的...
    Allianzcortex
        50
    Allianzcortex  
       2016-12-17 00:49:29 +08:00
    centos 妥妥的 2.6 啊,我本地 ubuntu 用的 pykafka 在线上跑不了,关键大量部署都用 virtualenv 太扯了,最后换成了 Kafka-Pythn 。。。。
    param
        51
    param  
       2016-12-17 00:57:49 +08:00 via Android
    表示在 CentOS 部署过 Python3 应用
    jyf007
        52
    jyf007  
       2016-12-17 08:13:13 +08:00 via Android
    gentoo 内置多版本,大和谐。
    aec4d
        53
    aec4d  
       2016-12-17 09:14:39 +08:00 via iPhone
    水平捉急的笑话啊,即使 ububtu 自带 2.7.6 我都不用,自己用 pyenv 装 2.7.12 再环境隔离
    skyworker
        54
    skyworker  
    OP
       2016-12-17 11:24:34 +08:00
    @aec4d 恩,你牛逼, 这个笑话还算好笑吧?
    aec4d
        55
    aec4d  
       2016-12-17 11:28:14 +08:00
    @skyworker 不好笑,讲这个笑话的人也并不熟悉 python
    Miy4mori
        56
    Miy4mori  
       2016-12-17 12:32:32 +08:00 via Android
    @chohoor cent os 6 ? cent os 7 中 yum 已经重定向至 dnf 了
    chohoor
        57
    chohoor  
       2016-12-17 14:03:53 +08:00 via Android
    @Miy4mori centos7 epel 源里的 python34 ,装了后 python 默认为 python3 ,但不影响 yum
    Miy4mori
        58
    Miy4mori  
       2016-12-18 13:41:55 +08:00 via Android
    @chohoor cent os 7 已经没有 yum 了,被重定向至 dnf 了,所以你升级不会崩,你换 6 试一下妥妥的崩
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   实用小工具   ·   2544 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 59ms · UTC 06:27 · PVG 14:27 · LAX 22:27 · JFK 01:27
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.